"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const middleware_1 = require("../../middleware");
class AbstractExpressMiddleware extends middleware_1.Middleware {
    constructor(config) {
        super(config);
    }
    unless(paths, middleware) {
        return (req, res, next) => {
            if (paths.indexOf(req.path) >= 0) {
                return next();
            }
            return middleware(req, res, next);
        };
    }
}
exports.AbstractExpressMiddleware = AbstractExpressMiddleware;
//# sourceMappingURL=AbstractExpressMiddleware.js.map