import { RequestHandler } from 'express';
import { AbstractExpressMiddleware } from './AbstractExpressMiddleware';
import { ICorsMiddlewareConfig } from './CorsMiddlewareConfig';
export declare class CorsMiddleware extends AbstractExpressMiddleware {
    protected _config: ICorsMiddlewareConfig;
    constructor(config?: ICorsMiddlewareConfig);
    readonly config: ICorsMiddlewareConfig;
    handler(): RequestHandler;
    private corsProcessing;
}
