"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const nocache_1 = __importDefault(require("nocache"));
const AbstractExpressMiddleware_1 = require("./AbstractExpressMiddleware");
class NoCacheMiddleware extends AbstractExpressMiddleware_1.AbstractExpressMiddleware {
    constructor(config = {}) {
        super(config);
        this._config = config;
    }
    handler() {
        return nocache_1.default();
    }
    get config() {
        return this._config;
    }
}
NoCacheMiddleware.NAME = 'nocache';
exports.NoCacheMiddleware = NoCacheMiddleware;
//# sourceMappingURL=NoCacheMiddleware.js.map