import { GetTokenCallback, IsRevokedCallback, SecretCallback, secretType } from 'express-jwt';
import { IMiddlewareConfig } from '../../middleware';
export interface IJwtOptions {
    secret?: secretType | SecretCallback;
    userProperty?: string;
    skip?: string[];
    credentialsRequired?: boolean;
    isRevoked?: IsRevokedCallback;
    requestProperty?: string;
    getToken?: GetTokenCallback;
    [property: string]: any;
}
export interface ISsoMiddlewareConfig extends IMiddlewareConfig {
    excluded?: string[];
    options?: IJwtOptions;
    secret: string;
}
