"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Middleware {
    constructor(config) {
        this.env = config.env || '';
    }
    isApplicable(currentEnv) {
        if (!this.env) {
            return true;
        }
        const applicableEnvs = 'string' === typeof this.env ? [this.env] : this.env;
        return applicableEnvs.indexOf(currentEnv) >= 0;
    }
}
exports.Middleware = Middleware;
//# sourceMappingURL=Middleware.js.map