/// <reference types="socket.io" />
export declare type ISocketHandler = (socket: SocketIO.Socket, ...args: any[]) => void;
export interface ISocketEvent {
    key: string;
    handler: ISocketHandler | SocketRouter;
    options: any;
}
export declare class SocketRouter {
    private _events;
    constructor();
    use(event: string, handler: any, options?: any): this;
    register(socket: SocketIO.Socket, prefix?: string): void;
    readonly events: ISocketEvent[];
}
