import { LoggerInstance } from 'winston';
import { IMiddlewareConfig } from '../../middleware';
import { SocketRequestHandler } from '../SocketRequestHandler';
import { AbstractSocketMiddleware } from './AbstractSocketMiddleware';
export declare class SocketErrorLoggerMiddleware extends AbstractSocketMiddleware {
    static NAME: string;
    protected _config: IMiddlewareConfig;
    private logger;
    constructor(logger: LoggerInstance, config?: IMiddlewareConfig);
    handler(): SocketRequestHandler;
    readonly config: IMiddlewareConfig;
}
