"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("lib/http");
class UnprocessableEntityError extends http_1.HttpError {
    constructor(fields) {
        super(402, 'Unprocessable entity error');
        this.name = this.constructor.name;
        this.fields = fields;
    }
}
exports.UnprocessableEntityError = UnprocessableEntityError;
//# sourceMappingURL=UnprocessableEntityError.js.map