import { CorsOptions } from 'cors';
import { IMiddlewareConfig } from '../../middleware';
/**
 * Cors middleware configuration
 * @param options Options to configure cors library
 * @param excluded Paths excluded from cors verification
 * @param filters Allowed origins separated with ;
 */
export interface ICorsMiddlewareConfig extends IMiddlewareConfig {
    excluded: string[];
    filters?: string;
    options?: CorsOptions;
}
