import { RequestHandler } from 'express';
import { AbstractExpressMiddleware } from './AbstractExpressMiddleware';
import { IJsonParserMiddlewareConfig } from './JsonParserMiddlewareConfig';
export declare class JsonParserMiddleware extends AbstractExpressMiddleware {
    static NAME: string;
    protected _config: IJsonParserMiddlewareConfig;
    constructor(config?: IJsonParserMiddlewareConfig);
    handler(): RequestHandler;
    readonly config: IJsonParserMiddlewareConfig;
}
