import { RequestHandler } from 'express';
import { AbstractExpressMiddleware } from './AbstractExpressMiddleware';
import { IRequestLoggerMiddlewareConfig } from './RequestLoggerMiddlewareConfig';
export declare class RequestLoggerMiddleware extends AbstractExpressMiddleware {
    protected _config: IRequestLoggerMiddlewareConfig;
    constructor(config?: IRequestLoggerMiddlewareConfig);
    handler(): RequestHandler;
    readonly config: IRequestLoggerMiddlewareConfig;
}
export declare function BRIDGELogFormat(tokens: any, req: any, res: any): string;
