import { RequestHandler } from 'express';
import { AbstractExpressMiddleware } from './AbstractExpressMiddleware';
import { IUrlEncodedParserMiddlewareConfig } from './UrlEncodedParserMiddlewareConfig';
export declare class UrlEncodedParserMiddleware extends AbstractExpressMiddleware {
    static NAME: string;
    protected _config: IUrlEncodedParserMiddlewareConfig;
    constructor(config?: IUrlEncodedParserMiddlewareConfig);
    handler(): RequestHandler;
    readonly config: IUrlEncodedParserMiddlewareConfig;
}
