import { VersioningPluginBuilder } from './VersioningPluginBuilder';
export declare class VersioningManager {
    private readonly supportedApplications;
    private readonly supportedVersions;
    constructor(options: IVersionManagerOptions);
    newRequestHandlerPluginBuilder(): VersioningPluginBuilder;
    private validateOptions;
}
export interface IVersionManagerOptions {
    supportedVersions: string[];
    supportedApplications: string[];
}
